package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsUserIntegralLogsScrm;
import com.fs.hisStore.param.FsUserIntegralLogsListUParam;
import com.fs.hisStore.param.FsUserIntegralLogsParam;
import com.fs.hisStore.vo.FsUserIntegralLogsListUVO;
import com.fs.hisStore.vo.FsUserIntegralLogsListVO;

import java.util.List;

/**
 * 积分记录Service接口
 *
 * @author fs
 * @date 2023-11-02
 */
public interface IFsUserIntegralLogsScrmService
{
    /**
     * 查询积分记录
     *
     * @param id 积分记录主键
     * @return 积分记录
     */
    public FsUserIntegralLogsScrm selectFsUserIntegralLogsById(Long id);

    /**
     * 查询积分记录列表
     *
     * @param fsUserIntegralLogs 积分记录
     * @return 积分记录集合
     */
    public List<FsUserIntegralLogsScrm> selectFsUserIntegralLogsList(FsUserIntegralLogsScrm fsUserIntegralLogs);

    /**
     * 新增积分记录
     *
     * @param fsUserIntegralLogs 积分记录
     * @return 结果
     */
    public int insertFsUserIntegralLogs(FsUserIntegralLogsScrm fsUserIntegralLogs);

    /**
     * 修改积分记录
     *
     * @param fsUserIntegralLogs 积分记录
     * @return 结果
     */
    public int updateFsUserIntegralLogs(FsUserIntegralLogsScrm fsUserIntegralLogs);

    /**
     * 批量删除积分记录
     *
     * @param ids 需要删除的积分记录主键集合
     * @return 结果
     */
    public int deleteFsUserIntegralLogsByIds(Long[] ids);

    /**
     * 删除积分记录信息
     *
     * @param id 积分记录主键
     * @return 结果
     */
    public int deleteFsUserIntegralLogsById(Long id);

    List<FsUserIntegralLogsListVO> selectFsUserIntegralLogsListVO(FsUserIntegralLogsParam fsUserIntegralLogs);

    List<FsUserIntegralLogsListUVO> selectFsUserIntegralLogsListUVO(FsUserIntegralLogsListUParam param);

    void subFsUserIntegralLogsByOrder5();

}
